<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Modification "mod_colorpicker"	Pimp my colorpicker        |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

== Version: 4.0 / August 2013 ==

*/

/**
 * Funktion zum mischen zweier Farben.
 * Diese Funktion mischt die in $basecolor angegebene Farbe
 * mit $ratioAnteilen der $mixcolor.
 * Die hexadezimalen angaben knnen, mssen aber nicht, mit # beginnen.
 * @param string $basecolor Hexadezimaler Farbcode der Ausgangsfarbe
 * @param string $mixcolor Hexadezimaler Farbcode der Mischfarbe
 * @param float $ratio Prozentuales Mischverhltnis (Deckkraft der Mischfarbe von 0-100%)
 * @param bool $addHash Bei der Rckgabe ein # vor den Farbcode stellen oder nicht
 * @return string Hexadezimaler Farbcode der neuen Farbe
 * @copyright Frank Zechert
 * @license GNU GPL
**/

?>
<!DOCTYPE html>
<html>
<head>
    <title><?php print(__('Colorpicker')); ?></title>
    <meta name="robots" content="noindex,nofollow" />
    <link rel="stylesheet" type="text/css" href="<?php echo SKIN_URL.'style_cpo.css.php'; ?>">
    <script type="text/javascript" src="../mod_colorpicker/cpfunctions.js"></script>
</head>
<body>

<form action="ref_colorpicker.asp" method="get" id="colorform" name="colorform">
<table style="width:100%;border:0;padding:0;" cellpadding="0" cellspacing="2">
<tr>
<?php 
if(is_array($colorArray))  {
    foreach($colorArray AS $colorVal)  {
        echo '<td style="width:'.($gap+$columnWidth).'px;" valign="top">';
        colorColumn($colorVal,false,$columnWidth);
        echo '</td>';
    }
} 
?>

<td style="width:170px;" valign='top'>
    <?php include(CPO_BASEDIR.'mod_colorpicker/colormap.inc.php'); ?>

    <script type="text/javascript" src="../mod_colorpicker/cpgreyscale.js"></script>

    <div style='width:210px;padding-top:5px;padding-left:20px;margin-bottom:5px;'><div id='divpreview' style='float:left;height:20px;width:140px;border:1px solid #d4d4d4;border-bottom:none;background-color:#FF0000'>&nbsp;</div><div id='divpreviewtxt' style='float:left;width:50px;padding-left:5px;padding-top:7px;'>#FF0000</div></div>

    <div style="clear:both;padding-top:5px;text-align:center;"><?php echo __('Selected color:'); ?> <input style="width:70px;" name='colorhex' id='colorhex' value='#FF0000' />
    <input type="button" value="<?php echo ___('Ok'); ?>" onclick="ok(true);" /></div>

</td>

<td align="right">
    <div id="colorshades"><?php colorColumn("#FF0000",true); ?></div>
</td>

</tr>
</table>
</form>

<script type="text/javascript" src="../mod_colorpicker/cpinitialize.js"></script>

</body>
</html>